<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Default.aspx.cs" Inherits="ExtendingTheGridView._Default"
    StylesheetTheme="Default" %>

<%@ Register Src="Controls/GridViewPager.ascx" TagName="GridViewPager" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <uc1:GridViewPager ID="GridViewPager1" runat="server" />
                <ExtendedGridView:GridViewEx ID="GridViewEx1" runat="server" SkinID="Professional">
                    <Columns>
                        <asp:TemplateField HeaderText="Name" SortExpression="Name">
                            <itemstyle width="60px" />
                            <itemtemplate>
                                <asp:Label ID="LblName" runat="server" Text=<%# Eval("Name") %> />                                                                        
                            </itemtemplate>
                        </asp:TemplateField>
                                            
                        <asp:TemplateField HeaderText="Address" SortExpression="Address">
                            <itemstyle width="150px" />
                            <itemtemplate>
                                <asp:Label ID="LblAddress" runat="server" Text=<%# Eval("Address") %> />                                                                        
                            </itemtemplate>
                        </asp:TemplateField>

                        <asp:TemplateField HeaderText="Zip Code" SortExpression="ZipCode">
                            <itemstyle width="80px" />
                            <itemtemplate>
                                <asp:Label ID="LblZipCode" runat="server" Text=<%# Eval("ZipCode") %> />                                                                        
                            </itemtemplate>
                        </asp:TemplateField>
                        
                        <asp:TemplateField HeaderText="Phone Number" SortExpression="PhoneNumber">
                            <itemstyle width="150px" />
                            <itemtemplate>
                                <asp:Label ID="LblPhoneNumber" runat="server" Text=<%# Eval("PhoneNumber") %> />                                                                        
                            </itemtemplate>
                        </asp:TemplateField>
                                                
                        <asp:TemplateField HeaderText="Selected" SortExpression="Selected">
                            <itemstyle width="80px" />
                            <itemtemplate>
                                <asp:CheckBox ID="CBSelected" runat="server" AutoPostBack="True" Checked=<%# Eval("Selected") %> OnCheckedChanged="CBSelected_CheckedChanged"/>                                                                        
                            </itemtemplate>
                        </asp:TemplateField>
                    </Columns>
                </ExtendedGridView:GridViewEx>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
