using System;

namespace ExtendingTheGridView
{
    [Serializable()]
    public class ItemVal
    {
        string _name = string.Empty;
        string _address = string.Empty;
        string _zipCode = string.Empty;
        string _phoneNumber = string.Empty;
        bool _selected = false;

        public string Name
        {
            get { return _name; }
            set { _name = value; }
        }

        public string Address
        {
            get { return _address; }
            set { _address = value; }
        }

        public string ZipCode
        {
            get { return _zipCode; }
            set { _zipCode = value; }
        }

        public string PhoneNumber
        {
            get { return _phoneNumber; }
            set { _phoneNumber = value; }
        }

        public bool Selected
        {
            get { return _selected; }
            set { _selected = value; }
        }

        public ItemVal(string name, string address, string zipCode, string phoneNumber)
        {
            _name = name;
            _address = address;
            _zipCode = zipCode;
            _phoneNumber = phoneNumber;
        }
    }
}
