using System;
using System.Collections.Generic;
using System.Web.UI.WebControls;

using ExtendedGridView;

namespace ExtendingTheGridView
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            GridViewPager1.SelectedIndexChanged += GridViewEx1.PagerSelectedIndexChanged;
            GridViewEx1.DataSourceChanged += GridViewPager1.GridViewDataSourceChanged;

            if (!Page.IsPostBack)
            {
                SampleDataProvider provider = new SampleDataProvider();
                GridViewEx1.DataSource = provider.GetSampleData();
                GridViewEx1.DataBind();
            }
        }

        protected void CBSelected_CheckedChanged(object sender, EventArgs e)
        {
            CheckBox cbSel = sender as CheckBox;

            if (cbSel != null)
            {
                DataControlFieldCell cellObj = cbSel.Parent as DataControlFieldCell;
                GridViewRow rowObj = cellObj.Parent as GridViewRow;
                GridViewEx gv = rowObj.Parent.Parent as GridViewEx;

                List<ItemVal> v = GridViewEx1.DataSource as List<ItemVal>;
                v[gv.Index(rowObj.RowIndex)].Selected = cbSel.Checked;

                GridViewEx1.DataSource = v;
                GridViewEx1.DataBind();
            }            
        }
    }
}
